Subject: Re: bug#28023: fix make-temp-file race on local host

From: Paul Eggert <[email-masked]>
Date: Wed, 9 Aug 2017 02:22:37 -0700

Michael Albinus wrote:
> what you do expect from Tramp?

Tramp needs to support a new method make-temp-file that creates a file (or 
directory) atomically, as make-temp-file does locally now. Tramp also needs to 
support the excl flag of write-region (currently it ignores that flag). I was 
planning to write this up as a bug report after the patch goes in.